tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
ArgException.h File Reference
`#include <string>`
`#include <exception>`

Go to the source code of this file.

## Classes
class | TCLAP::ArgException
| A simple class that defines and argument exception. More...
class | TCLAP::ArgParseException
| Thrown from within the child Arg classes when it fails to properly parse the argument it has been passed. More...
class | TCLAP::CmdLineParseException
| Thrown from CmdLine when the arguments on the command line are not properly specified, e.g. More...
class | TCLAP::SpecificationException
| Thrown from Arg and CmdLine when an Arg is improperly specified, e.g. More...
class | TCLAP::ExitException

## Namespaces
| TCLAP